---
title: MediaStream.getTracks()
slug: Web/API/MediaStream/getTracks
tags:
  - API
  - Experimental
  - Media Streams API
  - MediaStream
  - MediaStreamTrack
  - Method
  - Reference
  - getTracks
---
<p>{{APIRef("Media Capture and Streams")}}{{SeeCompatTable}}</p>

<p>The <strong><dfn><code>getTracks()</code></dfn></strong> method of the {{domxref("MediaStream")}} interface returns a sequence that represents all the {{domxref("MediaStreamTrack")}} objects in this stream's <code><a href="https://www.w3.org/TR/mediacapture-streams/#track-set">track set</a></code>, regardless of {{domxref("MediaStreamTrack.kind")}}.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>mediaStreamTracks</em> = <em>mediaStream</em>.getTracks()</pre>

<h3 id="Parameters">Parameters</h3>

<p>None.</p>

<h3 id="Return_value">Return value</h3>

<p>An array of {{domxref("MediaStreamTrack")}} objects.</p>

<h2 id="Example">Example</h2>

<pre class="brush: js">navigator.mediaDevices.getUserMedia({audio: false, video: true})
.then(mediaStream =&gt; {
  document.querySelector('video').srcObject = mediaStream;
  // Stop the stream after 5 seconds
  setTimeout(() =&gt; {
    const tracks = mediaStream.getTracks()
    tracks[0].stop()
  }, 5000)
})
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('Media Capture','#dom-mediastream-gettracks','getTracks()')}}</td>
   <td>{{Spec2('Media Capture')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_Compatibility">Browser Compatibility</h2>

<div class="hidden">
<p>The compatibility table on this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>
</div>

<p>{{Compat("api.MediaStream.getTracks")}}</p>
